unit CryptoConsts;

interface

uses Windows, wCrypt2, CryptoWrapper, CryptoProvider, CryptoHash, CryptoKey;

const
  C_CryptoProviderTypes: array [TCryptoProverType] of cardinal =
    ( PROV_RSA_FULL, PROV_RSA_SIG, PROV_DSS, PROV_FORTEZZA, PROV_MS_EXCHANGE, PROV_SSL );
  C_CryptoContexts: array [TCryptoContext] of DWord =
    ( CRYPT_VERIFYCONTEXT, CRYPT_NEWKEYSET, CRYPT_DELETEKEYSET, CRYPT_MACHINE_KEYSET );
  C_CryptoHashTypes: array [TCryptoHashType] of DWord =
    (CALG_MD2, CALG_MD4, CALG_MD5, CALG_SHA, CALG_SHA1, CALG_MAC);
  C_CryptoKeyTypes: array [TCryptoKeyType] of DWord =
    (AT_KEYEXCHANGE, AT_SIGNATURE);

implementation

end.
